Bug 378 - Marbles colors not good for color blind
: Marbles colors not good for color blind
Status: RESOLVED FIXED
Product: Games
Marbles
: 1.1
: All Maemo
: Low enhancement (vote)
: Harmattan
Assigned To: unassigned
: marbles-bugs
:
: enhancement-it2005, ITOS2007HE-garage...
:
:
  Show dependency tree
 
Reported: 2006-01-21 17:49 UTC by Jussi Kukkonen
Modified: 2008-12-29 12:51 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jussi Kukkonen (reporter) 2006-01-21 17:49:29 UTC
I'm slightly red-green color blind and have trouble with distinguishing the 
color of some marbles in the game -- especially in the 'target arrangement' 
on the right.

I can try and identify the difficult ones, but I'm sure someone in the 770 
team is color blind too...
Comment 1 Maemo QA (deprecated) 2006-05-04 13:06:28 UTC
Claiming ownership.
Comment 2 Maemo QA (deprecated) 2006-05-04 13:08:40 UTC
Enhancement, will be forwarded to upstream maintainer ASAP.
Comment 3 Maemo QA (deprecated) 2006-05-22 14:51:07 UTC
Feature request has been forwarded to upstream maintainer.
Comment 4 Eero Tamminen nokia 2006-08-18 14:34:44 UTC
This doesn't need any code changes, just modifying the Marbles images.
However, I wonder what else in the device is non-optimal for color-blind
people.  Maybe there should be some metabug about theme, icons and game gfx
for the color-blind...
Comment 5 timeless 2007-08-26 11:47:00 UTC
bug 755 covers chess being bad for color blind people. I'm likely to create an
accessibility or sec508 keyword when I'm done reorganizing bugs.maemo.org
Comment 7 Eero Tamminen nokia 2008-11-24 16:59:33 UTC
This would require replacing just the device
/usr/games/lmarbles/gfx/marbles.jpg image I guess.  Maybe somebody could
recolor it or apply some pattern to it and attach here a replacement for people
who need the balls to differ more?
Comment 8 Quim Gil nokia 2008-12-01 10:20:59 UTC
I will check this one with the usability guys.
Comment 9 Quim Gil nokia 2008-12-02 08:06:54 UTC
Bug 755 is related to this one. Same problem in Chess.
Comment 10 Quim Gil nokia 2008-12-22 15:31:25 UTC
We are porting the Marbles application for Fremantle without introducing any
changes on functionality or look&feel. 

However, let me know if someone is interested contributing a graphics set
solving this issue.
Comment 11 Quim Gil nokia 2008-12-29 12:51:45 UTC
Let me resolve this as FIXED in Harmattan.

If someone contributes a graphics set for Fremantle we might consider its
integration.